Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	kdepim
Summary: 	PIM (Personal Information Manager) applications
Version: 	4.1.1
Release: 	1

License: 	GPLv2
Group:   	Applications/Productivity
URL:	 	http://www.kde.org/
Source0: 	ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdepim-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	libassuan
Requires(post): xdg-utils
Requires(postun): xdg-utils

BuildRequires: 	akonadi-devel
BuildRequires: 	bison flex
BuildRequires: 	boost-devel
BuildRequires: 	cmake
BuildRequires: 	cyrus-sasl-devel
BuildRequires: 	desktop-file-utils
BuildRequires: 	gnokii-devel
BuildRequires: 	gpgme-devel
BuildRequires: 	kdelibs-devel >= %{version}
BuildRequires: 	kdepimlibs-devel >= %{version}
BuildRequires: 	libXpm-devel libXScrnSaver-devel
# TODO: libmapi from http://www.openchange.org/
#BuildRequires: libmapi-devel <- requires samba4 not yet ready
BuildRequires: 	libopensync-devel
BuildRequires: 	libxslt-devel
#BuildRequires: 	lockdev-devel <- not needed 
BuildRequires: pilot-link-devel >= 0.12
BuildRequires: 	python-devel
BuildRequires: 	qca-devel
BuildRequires: 	zlib-devel
# these seem mostly bogus, not checked for, but linked nonetheless -- Rex
BuildRequires: 	giflib-devel
BuildRequires: 	openldap-devel
BuildRequires: 	pcre-devel
BuildRequires:	libassuan

##Optional bits
#Requires(hint): pinentry-gui
#Requires(hint): spambayes
#Requires(hint): spamassassin
Obsoletes: 	kdepim4 < %{version}-%{release}
Provides:  	kdepim4 = %{version}-%{release}


%description
%{summary}, including:
* akregator: feed aggregator 
* kmail: email client
* knode: newsreader
* knotes: sticky notes for the desktop
* kontact: integrated PIM management
* korganizer: journal, appointments, events, todos
%{?_with_pilot_link:* kpilot: HotSync® software for Palm OS® devices}

%package devel
Summary: 	Development files for %{name} 
Group: 		Development/Libraries
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs-devel
Obsoletes: 	kdepim4-devel < %{version}-%{release}
Provides:  	kdepim4-devel = %{version}-%{release}


%description devel
%{summary}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%package libs
Summary: 	%{name} runtime libraries
Group:   	System/Libraries
#Requires: kdelibs4 >= %{version}
# include to be paranoid, installing libs-only is still mostly untested -- Rex
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdepim4-libs < %{version}-%{release}
Provides:  	kdepim4-libs = %{version}-%{release}

%description libs
%{summary}.


%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1



%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# make symlinks relative
mkdir -p %{buildroot}%{_docdir}/HTML/en/common
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

# Fix double file
rm -f %{buildroot}/usr/share/icons/oxygen/32x32/actions/appointment-new.png

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README README.Kolab
%doc COPYING
%{_kde4_bindir}/*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/strigi/*.so
%{_kde4_datadir}/applications/kde4/*
%{_kde4_appsdir}/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_kde4_datadir}/akonadi/agents/*.desktop
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/config/*rc
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/icons/hicolor/*/*/*
%{_kde4_datadir}/icons/oxygen/*/*/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_docdir}/HTML/en/*

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
# unversioned library
#%{_kde4_libdir}/libkpilot_conduit_base.so

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
#%exclude %{_kde4_libdir}/libkpilot_conduit_base.so


%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-3
- rebuilt with opensync support
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Initial release
